ISO Footprint
#############

This script calculates the disk footprint of a desktop ISO and compares it to
the previous build.

It contains 2 scripts:
* iso_fssize_checker is the main python script.
* iso_footprint.sh is a wrapper around the python script to do the 2 phases of
  extracting the data and calculating the difference between builds.

Running the tool
================

Easiest way to run the tool is to execute the shell script, like for instance:

```
$ ./iso_footprint.sh -d /path/toiso/desktop-amd64.iso \
    -D /path/to/store/results
```

Tool output
===========

By default the tool will generate 2 types of files:
* The image manifest in text and csv format
* The image summary in text and csv format

The summary contains:
* The build id
* The total number of entries
* The number of files
* The number of directories
* The size of the ISO once unpacked (disk footprint)

When a previous build exists in the target result directory it generate the
additional files:
* A summary of the delta in text and csv formats
* A list of files that have been added
* A list of files that have been removed
* A list of files that have been modified
