
function process_errors(section_locator, data) {
    errors = data.errors
    if (errors.length == 0) {
        section = '<h4 class="no-error-title">No errors detected</h4>'
        $( section_locator ).append(section);
    } else {
        add_errors(section_locator, errors);
    }
}

function add_errors(section_locator, errors) {
    types_found = []
    for (var error in errors) {
        title = errors[error].description + ": ";
        error_class = "error-title";
        if (errors[error].improvement) {
            error_class = "no-error-title";
        }

        message = "for scenario " + errors[error].name + " and type " + errors[error].type

        if (types_found.indexOf(errors[error].error) == -1){
            types_found.push(errors[error].error);
            section = '<div id="error-section-' + errors[error].error + '"></div>';
            title = '<h4 class="' + error_class + '">' + title + '</h4>';
            $( section_locator ).append(section);
            $( section_locator + ' #error-section-' + errors[error].error ).append(title);

        }
        elem = '<h5>' + message + '</h5>';
        $( section_locator + ' #error-section-' + errors[error].error ).append(elem);
    }

}
