

function drawSections(firstDraw) {
    drawTestLibrarySection();
    drawTestExecutionSection();
    drawLandingsSection();
    drawLandingFailuresSection();
    drawTestPlansSection();
    drawApplicationsSection();
    drawDomainsSection();
    drawAppStartUpSection(firstDraw);
    drawScalabilitySection(firstDraw)
    drawPerformanceSection(firstDraw)

    hideUnusedLinks();
}

function hideUnusedLinks() {
     $("#links-link").hide();
     $("#projects-link").hide();
}

function basename(path) {
   return path.split('/').reverse()[0];
}

function moveToSection() {
    $(".content-section").hide();
    $("div" + window.location.hash).show();

    // special treatment for test plans because of its modal
    if (window.location.hash.match('#test-plan.*') != null) {
        $("div#test-plans").show();
        if (window.location.hash.match('#test-plan-modal.*') != null) {
            var testPlanId = window.location.hash.split('-').reverse()[0];
            drawTestPlanModal(testPlanData, testPlanId);
            $("#test-plan-modal").modal('show');
        }
    }

    // for whatever reason the modal isn't hiding properly
    $("#test-plan-modal").hide();

    // Show subsection parent when it is required
    newdiv = $(window.location.hash);
    if(newdiv.attr("parent-section")){
    	parentId = newdiv.attr('parent-section');
    	$("body").find('#' + parentId).show();
    }

    if (!window.location.hash){
        drawSections(false);
    }
}

function selectSection() {
    var links = $(".sidebar-links > div");
    links.on('click', function () {
        links.removeClass('selected');
        $(this).addClass('selected');
    });
}