#!/usr/bin/python
"""

Data from trello generated with the script generate_data

"""
# Copyright (C) 2014-2015, Canonical Ltd (http://www.canonical.com/)
#
# Authors:
#    Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>
#
# This software is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# This software is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this software.  If not, see <http://www.gnu.org/licenses/>.
#

TRELLO_LABELS = {
    u'blue': u'5465b67e74d650d5676bf53b',
    u'green': u'5465b67e74d650d5676bf536',
    u'lime': u'54f435c251e31d6bede9efaf',
    u'orange': u'5465b67e74d650d5676bf538',
    u'pink': u'56e74236152c3f92fd6b6d64',
    u'purple': u'5465b67e74d650d5676bf53a',
    u'red': u'5465b67e74d650d5676bf539',
    u'sky': u'56cee131152c3f92fd2bfc2a',
    u'yellow': u'5465b67e74d650d5676bf537'
}

TRELLO_LANES = {
    'needs_signoff': '53fc6641728df958a48bfbe2',
    'ready_for_testing': "552bcb7e2bc13035850abeae",
    'under_testing': "53fc6641728df958a48bfbe3",
    'passed_curr_ota': "53fc6641728df958a48bfbe4",
    'passed_prev_ota': "57753fc8b7aa454a4594c1d1",
    'failed': "53fc665e44a607272aeb983b",
}

