

function landingFailuresTable(data, selector) {
    var tableData = data.map(function(obj) {
        return [
	    new Date(obj.result_datetime),
	    "<a href=" + obj.url + ">" + obj.name + "</a>",
        ];
    });
    $(selector).dataTable( {
        data: tableData,
        columns: [
            { title: 'Date' },
            { title: 'Silo' },
        ],
	searching: true,
	order: [[0, 'dsc']],
	bDestroy: true,
    });
}

function drawLandingFailuresSection() {
    $.getJSON("./data/landing-failures.json", function(data) {
         landingFailuresTable(data, "#landingFailuresTable");
    }).fail(function(data, status) {
        console.log("Hiding Landing failures section");
        $("#landing-failures-section").hide();
        $("#landing-failures-link").hide();
    });
}
